# 获取历史成交订单

**1. 接口调用：**

&#x20;`https://{host}/marketApi/historyOrders`

**2. 请求参数实例**

| 参数        | 是否必须 | 说明           |
| --------- | ---- | ------------ |
| channelId | 是    | 渠道id         |
| timestamp | 是    | 毫秒时间戳（UTC+8） |
| sign      | 是    | 签名           |
| pageNo    | 否    | 当前页数（默认1）    |
| pageSize  | 否    | 每页条数（默认10）   |
| tradePair | 是    | 交易对          |

3.请求参数示例

```
 {
     "channelId":"swft-channel",
     "sign":"102027D292DD0707E0D899459D91C759858D7367D223CB239A8EC3A90C30B122",
     "timestamp":"1557653925555",
     "tradePair":"BTC/USDT",
     "pageNo":"1",
     "pageSize":"10"
 }
```

4.返回结果示例

```
 {
    "data":{
        "pageContent":[
            {
                "availCoinCode":"BTC",
                "availTradeCode":"USDT",
                "averagePrice":"",
                "createTime":"2019-07-31 11:12:06",
                "orderId":"gxrn9R0N4weI",
                "price":"1",
                "status":"canceled",
                "successAmt":"0",
                "successTradeAmt":"0",
                "totalAmt":"1",
                "totalTradeAmt":"1",
                "tradeFee":"0",
                "tradePair":"BTC/USDT",
                "type":"buy",
                "updateTime":"2019-07-31 11:12:06"
            }
        ],
        "pageNo":1,
        "pageSize":10,
        "totalCount":60,
        "totalPage":6
    },
    "resCode":"800",
    "resMsg":"成功"
}
```

5.返回参数说明

| 字段名称  | 是否数组 | 字段              | 数据类型   | 数据长度 | 必须项 | 备注                             |
| ----- | ---- | --------------- | ------ | ---- | --- | ------------------------------ |
| 当前页数  | N    | pageNo          | Number | 20   | Y   | eg: 1                          |
| 每页条数  | N    | pageSize        | Number | 20   | Y   | eg: 10                         |
| 总记录数  | N    | totalCount      | Number | 20   | Y   | eg: 2                          |
| 总页数   | N    | totalPage       | Number | 20   | Y   | eg: 1                          |
| 订单号   | Y    | orderId         | String | 30   | Y   | eg: Hushjrw8723                |
| 交易币种  | Y    | availCoinCode   | String | 20   | Y   | eg: BTC                        |
| 交易区币种 | Y    | availTradeCode  | String | 20   | Y   | eg: USDT                       |
| 交易对   | Y    | tradePair       | String | 20   | Y   | BTC/USDT                       |
| 价格    | Y    | price           | String | 30   | Y   | eg: 0.21312                    |
| 下单数量  | Y    | totalAmt        | String | 30   | Y   | eg: 1                          |
| 成交数量  | Y    | successAmt      | String | 30   | Y   | eg: 1                          |
| 总交易额  | Y    | totalTradeAmt   | String | 30   | Y   | eg: 0.21312                    |
| 成交总额  | Y    | successTradeAmt | String | 30   | Y   | eg: 0.21312                    |
| 类型    | Y    | type            | String | 20   | Y   | eg: buy                        |
| 手续费   | Y    | tradeFee        | String | 20   | Y   | eg: 0.000426                   |
| 成交均价  | Y    | averagePrice    | String | 20   | Y   | eg: 0.21312                    |
| 状态    | Y    | status          | String | 30   | Y   | eg: canceled                   |
| 创建时间  | Y    | createTime      | String | 30   | Y   | eg: 2019-08-02 11:14:00（UTC+8） |
| 更新时间  | Y    | updateTime      | String | 30   | Y   | eg: 2019-08-02 11:14:00（UTC+8） |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-swft.swft.pro/ju-he-jiao-yi-api-jie-kou/cha-xun-yi-wan-quan-cheng-jiao-ding-dan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
